Postato Docs
API ReferencePosts

Update a post

Partially update a post — currently supports changing status (e.g. publishing a draft or cancelling a scheduled post). Returns 404 if the post does not exist.

PATCH
/v1/workspaces/{workspaceId}/posts/{id}
AuthorizationBearer <token>

API key in the format smcp_<64 hex chars>.

In: header

Path Parameters

workspaceId*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[key: string]?unknown

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.postato.com.br/v1/workspaces/string/posts/string" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "property1": null,
  "property2": null
}
{
  "property1": null,
  "property2": null
}
{
  "error": "string",
  "message": "string",
  "details": null
}
{
  "error": "not_found"
}